Search Unity

  1. Welcome to the Unity Forums! Please take the time to read our Code of Conduct to familiarize yourself with the forum rules and how to post constructively.

Bug HubV3 Doesn't Open on Mac

Discussion in 'Unity Hub' started by LoneF0X, Oct 26, 2022.

  1. LoneF0X

    LoneF0X

    Joined:
    May 7, 2016
    Posts:
    7
    When I try to open UnityHub 3.3, no window pops up at all. It shows in my toolbar but that's it. I tried reinstalling and deleting ApplicationSupport/UnityHub. I can open projects directly with Unity but then I cannot log in and use assets, which is essential for my project. I should note that the hub was working just a few months ago for me just fine. I am on MacOS High Sierra.

    Log from Library/ApplicationSupport/UnityHub/Logs:

    {"timestamp":"2022-10-26T15:28:57.762Z","level":"error","message":"Unhandled promise rejection, reason: dlopen(/Applications/Unity Hub.app/Contents/Resources/app.asar.unpacked/node_modules/@edt/proxy-helper/build/Release/proxy-helper_mac.node, 1): Library not loaded: @rpath/libpcre2-8.0.dylib\n Referenced from: /Applications/Unity Hub.app/Contents/Resources/app.asar.unpacked/node_modules/@edt/proxy-helper/build/Release/libNativeProxyHelper.dylib\n Reason: Incompatible library version: libNativeProxyHelper.dylib requires version 12.0.0 or later, but libpcre2-8.0.dylib provides version 11.0.0\n\tstack Error: dlopen(/Applications/Unity Hub.app/Contents/Resources/app.asar.unpacked/node_modules/@edt/proxy-helper/build/Release/proxy-helper_mac.node, 1): Library not loaded: @rpath/libpcre2-8.0.dylib\n Referenced from: /Applications/Unity Hub.app/Contents/Resources/app.asar.unpacked/node_modules/@edt/proxy-helper/build/Release/libNativeProxyHelper.dylib\n Reason: Incompatible library version: libNativeProxyHelper.dylib requires version 12.0.0 or later, but libpcre2-8.0.dylib provides version 11.0.0\n at process.func [as dlopen] (electron/js2c/asar_bundle.js:5:1846)\n at Object.Module._extensions..node (internal/modules/cjs/loader.js:1138:18)\n at Object.func [as .node] (electron/js2c/asar_bundle.js:5:2073)\n at Module.load (internal/modules/cjs/loader.js:935:32)\n at Module._load (internal/modules/cjs/loader.js:776:14)\n at Function.f._load (electron/js2c/asar_bundle.js:5:12913)\n at Module.require (internal/modules/cjs/loader.js:959:19)\n at require (internal/modules/cjs/helpers.js:88:18)\n at Object.<anonymous> (/Applications/Unity Hub.app/Contents/Resources/app.asar/node_modules/@edt/proxy-helper/lib/binding.js:13:7)\n at Module._compile (internal/modules/cjs/loader.js:1078:30)"}
     
  2. RJ_J

    RJ_J

    Joined:
    Dec 15, 2022
    Posts:
    1
    I have the same problem: hub 3.3 and no window pops up, only the toolbar showing that it's there, but the services(activity monitor, file activity...) under the toolbar do work. I'm on macOS Monterey and also tried a lot of times deleting and reinstalling, but it didn't work. As a beginner I cannot even activate my license without the hub so i can't use unity3d now.
     
  3. mingyue2009

    mingyue2009

    Joined:
    Jul 21, 2020
    Posts:
    1
    Last edited: Jan 25, 2023